/lead_sources Create a new lead source
Creates a lead source. text is required and limited to 40 characters; the id is server-generated. Admin only. Adding one re-sorts the list, which is kept in alphabetical order.
Request body
idstringID of the lead source
textstringrequiredDescription of the lead source
countsintegerint32Number of contacts the (logged API) user owns, with the lead source
total_countintegerint32Number of contacts the entire team owns, with the lead source
action_stream_countintegerint32Number of contacts the (logged API) user has actions with, who also have the lead source
team_countsarray<object>Number of contacts, with the lead source (for each team member)
array item fields →
user_idstringbson-idID of the user
countsintegerint32Number of contacts the team member owns, with the lead source
Responses
201 Created
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectA way to classify the source of any contact that is added to OnePageCRM. Like Statuses, this list is pre-populated, and can be later edited to fit individual needs.
object fields →
idstringID of the lead source
textstringrequiredDescription of the lead source
countsintegerint32Number of contacts the (logged API) user owns, with the lead source
total_countintegerint32Number of contacts the entire team owns, with the lead source
action_stream_countintegerint32Number of contacts the (logged API) user has actions with, who also have the lead source
team_countsarray<object>Number of contacts, with the lead source (for each team member)
array item fields →
user_idstringbson-idID of the user
countsintegerint32Number of contacts the team member owns, with the lead source
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.